/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : 19/01/2018, 22:47:41
*/

.help-blockk, .help-block{
    display: block;
    color: #777;
}
.form-group > .help-block{
    padding: 8px 5px 5px;
}
.form-group > .help-blockk{padding: 5px 0px;}

.form-bordered .form-group > .help-block{
    margin-bottom: -15px;
}

.help-inline{
    display: inline-block;
    padding: 5px 0px;
}

.form-control{
    padding-top: 9px;
    padding-bottom: 7px;
}
.form-control.autosize{
    padding: 8px 12px;
    line-height: 1.45;
}

.form-bordered{
    margin: 0px -15px;
}
.form-bordered.nomarg{
    margin-left: 0px;
    margin-right: 0px;
}

.frmrow,
.form-bordered > .row{
    margin-left: 0px;
    margin-right: 0px;
}

.frmrow > .col,
.form-bordered > .row > .col{
    padding: 0px;
}

.form-bordered .form-group{
    border-bottom: 1px dashed #eaedf1;
    padding: 15px;
    margin: 0px;
}

.form-bordered .form-group.form-actions{
    border-bottom: none; 
}
.colForm .col-actions{
    margin: 0px -15px;
}
.col-actions .form-actions,
.form-bordered .form-actions{
    padding: 15px;
    background-color: #f9fafc;
    text-align: right;
}
.form-bordered .form-actions.btn-group-md{
    padding-top: 17px;
}
.form-bordered .form-group,
.form-group.has-feedback{
    position: relative;
}
.fedbk-control{
    position: absolute;
    display: inline-block;
    right: 15px;
    top: 17px;
    z-index: 2;
    padding: 0px 7px;
    line-height: 35px;
    font-weight: normal;
    font-size: 90%;
}
.sr-only ~ .fedbk-control{
    top: 15px;
}
.input-group.focus, .input-group:focus,
.input-group:hover{z-index: 3;}
.maxCnt{
    position: absolute;
    right: 8px;
    top: 10px;
    font-style: italic;
    color: #999;
    z-index: 4;
    background-color: #fff;
    padding: 0px 2px;
}

.control-label.sronly{
    color: transparent!important;
    text-indent: -9999px;
}
.control-label + .maxCnt{
    top: 45px;
    right: 10px;
}
.fg-maxCnt-left .maxCnt{
    right: auto;
    left: 6px;
}
.form-group > .form-control, .form-group > .custom-select{
    position: relative;
}
.form-group > .form-control:focus, .form-group > .custom-select:focus{
    z-index: 3;
}
.fedbk-control:before{
    content: "";
    margin-left: 5px;
    margin-right: 5px;
}
.form-group-lg .fedbk-control{
    line-height: 46px;
}
.control-label ~ .fedbk-control{
    top: 41px;
}
.has-error label.control-label + .input-group + .fedbk-control{
    top: 16px;
    line-height: 21px;
    background-color: #fff;
}
.has-error label.control-label + .input-group + .fedbk-control:empty{
    top: 46px;
}
.fedbk-middle .has-error label.control-label + .input-group + .fedbk-control{
    top: 43px;
    line-height: 32px;
    background-color: rgba(255,255,255,0.6);
}
.has-error label.sr-only + .input-group + .fedbk-control{
    top: 17px;
    line-height: 31px;
    margin-right: 2px;
    background-color: rgba(255,255,255,0.6);
}
.has-error label.control-label ~ .autosize ~ .fedbk-control{
    background-color: rgba(255,255,255,0.9);
    top: 42px;
}
.has-error .maxCnt{color: #e74c3c;}

.frmgrp-three.has-error label.sr-only + .input-group + .fedbk-control,
.frmgrp-three.has-valid .input-group-addon,
.frmgrp-three.has-error .input-group-addon{
    background-color: #fff;
}
.form-group-lg.has-error label.control-label + .input-group + .fedbk-control{
    top: 48px;
    line-height: 46px;
    background: none;
}
.control-label{
    padding: 0px 3px;
    margin-bottom: 5px;
    font-weight: 500;
}
.control-label.hline{
    display: block;
    margin-bottom: 8px;
    margin-top: -4px;
}
.has-error .fedbk-control:before{content: "\f00d";}
.has-error .fedbk-control,
.has-error .control-label,
.has-error .custom-control {
    color: #e74c3c;
}

.has-error .custom-select,
.has-error .form-control{
    border-color: #e74c3c;
}

.has-error .input-group-addon{
    color: #e74c3c;
    background-color: #f2dede;
    border-color: #e74c3c;
}
.has-error.has-feedback .form-control,
.has-error .form-control-danger {
}

.has-valid .fedbk-control:before{content: "\f00c";}
.has-valid .fedbk-control,
.has-valid .control-label,
.has-valid .custom-control {
    color: #72c02c;
}

.has-valid .custom-select,
.has-valid .form-control{
    border-color: #72c02c;
}

.has-valid .input-group-addon {
    color: #72c02c;
    background-color: #dff0d8;
    border-color: #72c02c;
}
.has-valid.has-feedback .form-control,
.has-valid .form-control-success {
}
.uislct-fedbk .input-group-btn{
    min-width: 20px;
}
.uislct-fedbk .btn-slct{
    padding: 8px 9px 8px 10px;
    color: #bbb;
    border-color: #E0E4E8;
}
.uislct-fedbk .btn-slct > .fa-slct{
    transform: rotate(90deg);
}
.uislct-fedbk .btn-slct:hover{
    color: #686868;
    border-color: #ccc;
}
.has-valid.uislct-fedbk .btn-slct{
    border-top-color: #72c02c;
    border-right-color: #72c02c;
    border-bottom-color: #72c02c;
}
.has-error.uislct-fedbk .btn-slct{
    border-top-color: #e74c3c;
    border-right-color: #e74c3c;
    border-bottom-color: #e74c3c;
}

.fa-unlock.falock:before{content: "\f023";}
.form-bordered .uislct-fedbk.has-valid .fedbk-control{right: 48px;}

.form-bordered .fedbk-btn.has-valid .fedbk-control{right: 53px;}

.form-bordered .has-valid .fg-maxCnt .fedbk-control,
.form-bordered .has-valid.fg-maxCnt .fedbk-control{
    margin-right: 15px;
}
.form-bordered .has-valid.fg-maxCnt .control-label + .maxCnt ~ .fedbk-control{}

.has-feedback.hid-valid.has-valid .fedbk-control,
.has-feedback.hid-fedbk .fedbk-control{opacity: 0; z-index: 1;}

.has-feedback.hid-valid.has-valid .input-group,
.has-feedback.hid-fedbk .input-group{z-index: 3;}

.control-label.colori{
    color: #292b2c!important;
}
.fedbk-valid-hide.has-valid .input-group{z-index: 2;}
.fedbk-valid-hide.has-valid .fedbk-control{
    z-index: 1;
    opacity: 0;
}

.sr-only + .input-group.focus ~ .fedbk-control,
.sr-only + .input-group:focus ~ .fedbk-control,
.sr-only + .input-group:hover ~ .fedbk-control,
.has-error:hover .sr-only ~ .fedbk-control{z-index: 1;}

.btn-group-absolt{
    position: absolute;
    bottom: 15px;
    right: 15px;
    z-index: 3;
}

.btn.chkbtn{
    position: relative;
}
.chkbtn input{
    z-index: 2;
    position: relative;
    opacity: 0;
}
.chkbtn input + .fab{
    line-height: 1;
    position: absolute;
    font-size: 160%;
    left: 50%;
    top: 50%;
    transform: translate3d(-50%,-50%,0);
}
.chkbtn input + .fab:before{

}
.chkbtn input:not(:checked) + .fab{
    color: #fff;
}
.chkbtn input + .fab:before{
    content: "\f096";
}
.chkbtn input + .fab:before{
    content: "\f0c8";
}
.chkbtn input:checked + .fab:before{
    content: "\f14a";
}
.form-bordered .fgpv-10 .form-group{
    padding-top: 10px;
    padding-bottom: 10px;
}

.form-bordered .fgpv-10 .form-group.has-error .sr-only ~ .fedbk-control,
.form-bordered .fgpv-10 .form-group .fedbk-control{
    margin-top: -5px;
}
.form-bordered .fgpv-10 .form-group.has-error .fedbk-control{
    margin-top: -3px;
}
.form-bordered .fedbk-btn.fdbkr-100.has-valid .fedbk-control{right: 103px;}

.form-bordered .fgph-10 .form-group.uislct-fedbk .sr-only ~ .fedbk-control{right: 44px;}

.fedbk-r15 .fedbk-control{
    right: 15px!important;
}
.fedbk-t25 .fedbk-control{
    top: 25px!important;
}
@media(min-width: 1200px){
    .widget-body.fgph-10 .form-bordered{margin: 0px -10px;}
    .fgph-10 .form-bordered{margin: 0px -10px;}

    .control-label + .maxCnt{right: 15px;}
    .has-error label.control-label + .input-group + .fedbk-control,
    .form-bordered .fedbk-control{right: 20px;}

    .fgph-15 .has-error label.control-label + .input-group + .fedbk-control,
    .fgph-15 .form-bordered .fedbk-control{right: 15px;}
    .fgph-10 .has-error label.control-label + .input-group + .fedbk-control,
    .fgph-10 .form-bordered .fedbk-control{right: 10px;}

    .form-bordered .uislct-fedbk .fedbk-control{right: 54px;}
    .form-bordered .uislct-fedbk.has-valid .fedbk-control{right: 54px;}

    .form-bordered .fg-maxCnt .fedbk-control,
    .control-label + .maxCnt ~ .fedbk-control{}

    .fgph-15 .form-bordered .uislct-fedbk .fedbk-control{right: 45px;}

    .fgph-15 .form-bordered .fedbk-btn.has-valid .fedbk-control,
    .fgph-15 .form-bordered .fedbk-btn .fedbk-control{right: 53px;}

    .form-bordered .fedbk-btn .fedbk-control,
    .form-bordered .fedbk-btn.has-valid .fedbk-control{right: 55px;}

    .form-bordered .fedbk-btn.fdbkr-100.has-valid .fedbk-control{right: 108px;}

    .fgph-10 .form-bordered .uislct-fedbk .fedbk-control{right: 40px;}

    .col-actions .form-actions,
    .form-bordered .form-actions,
    .form-bordered .form-group{
        padding-left: 20px;
        padding-right: 20px;
    }
    .form-bordered .frmcol > .frmrow{
        margin-left: -15px;
        margin-right: -15px;
    }
    .form-bordered .frmcol.fgph-10 > .frmrow,
    .form-bordered .frmcol > .frmrow.fgph-10{
        margin-left: -5px;
        margin-right: -5px;
    }

    .form-bordered .fgph-15 .form-group .fedbk-control{right: 15px;}
    .form-bordered .fgph-15 .form-group{
        padding-left: 15px;
        padding-right: 15px;
    }
    .form-bordered .fgph-10 .form-group .fedbk-control{right: 10px;}

    .fgph-10 .form-bordered .form-group,
    .fgph-10 .form-bordered .form-actions,
    .form-bordered .fgph-10 .form-group{
        padding-left: 10px;
        padding-right: 10px;
    }

    .form-bordered.nomarg .fedbk-control{right: 15px;}

    .widget-body.fgph-10 .form-bordered > .row.form-action-row{
        margin-left: -5px;
        margin-right: -5px;
    }
    .widget-body.fgph-10 .form-bordered .form-action-row .form-actions{
        padding-left: 20px;
        padding-right: 20px;
    }

    .widget-body.fgph-15 .form-bordered > .row > .form-actions.col-12{
        margin-left: -5px;
        margin-right: -5px;
        flex: 0 0 110%;
        width: 110%;
        max-width: calc(100% + 10px);
    }
    .fgph-15 .form-bordered .form-group,
    .fgph-15 .form-bordered .form-actions,
    .form-bordered.nomarg .form-actions,
    .form-bordered.nomarg .form-group{
        padding-left: 15px;
        padding-right: 15px;
    }
    .order1-lg{order: 1;}
    .order2-lg{order: 2;}
    .order3-lg{order: 3;}
    .order4-lg{order: 4;}
    .order5-lg{order: 5;}

    .sr-only-lg .control-label{
        position: absolute;
        width: 1px;
        height: 1px;
        padding: 0;
        margin: -1px;
        overflow: hidden;
        clip: rect(0, 0, 0, 0);
        border: 0;
    }
}
@media(min-width: 1200px) and (max-width: 1440px){
    .pl-5xl{padding-left: 5px!important;}
    .pr-5xl{padding-right: 5px!important;}
    .form-bordered .pr-5xl > .fedbk-control{
        right: 5px!important;
    }
}
@media(min-width: 768px){
    .order2-md{
        order: 2;
    }
    .pr-5-md.has-error label.control-label + .input-group + .fedbk-control,
    .form-bordered .pr-5-md .fedbk-control{right: 5px;}
}
@keyframes fadeIn{0%{transform:scale(0);opacity:0}100%{transform:scale(1);opacity:1}}
@-webkit-keyframes fadeIn{0%{-webkit-transform:scale(0);opacity:0}100%{-webkit-transform:scale(1);opacity:1}}
.anime-fadeIn {
    -webkit-animation-name: fadeIn;
    -webkit-animation-duration: 1s;
    -webkit-animation-timing-function: ease-in-out;
    animation-name: fadeIn;
    animation-duration: 1s;
    animation-timing-function: ease-in-out;
    visibility: visible!important;
}

@keyframes pullDown{0%{transform:scaleY(.1)}40%{transform:scaleY(1.02)}100%,60%{transform:scaleY(.98)}80%{transform:scaleY(1.01)}100%{transform:scaleY(1)}}
@-webkit-keyframes pullDown{0%{-webkit-transform:scaleY(.1)}40%{-webkit-transform:scaleY(1.02)}100%,60%{-webkit-transform:scaleY(.98)}80%{-webkit-transform:scaleY(1.01)}100%{-webkit-transform:scaleY(1)}}
.has-error .fedbk-control,
.anime-pullDown {
    -webkit-animation-name: pullDown;
    -webkit-animation-duration: 1200ms;
    -webkit-animation-timing-function: ease-out;
    -webkit-transform-origin: 50% 0;
    animation-name: pullDown;
    animation-duration: 1200ms;
    animation-timing-function: ease-out;
    transform-origin: 50% 0;
}

.inpid, .btnSubmit, .btnReset, .btnDelet, .btnDelcnf{}

.btnDelcnf,
.btnReset{
    float: left;
    white-space: nowrap;
    overflow: hidden;
}
.btnCopy{
    margin-right: 10px;
}
.btnReset + .btnDelcnf{margin-left: 10px;}

.input-group-btn .btnSubmit > span:first-child,
.phspn > .btn > span:first-child, .btn.phspn > span:first-child,
.form-actions .btn > span:first-child{padding-right: 8px;}

.phspn > .btn > span:last-child,
.btn.phspn > span:last-child,
.input-group-btn .btnSubmit > span:last-child,
.form-actions .btn > span:last-child{padding-left: 8px;}

.form-actions .btn > span:first-child:last-child,
.phspn > .btn.fab > span:first-child,
.btn.phspn.fab > span:first-child{padding-right: 0px;}


.btnCopy,
.btnDelcnf, .btnDelet{
    transform: scaleY(0);
    transition: all 600ms;
    pointer-events: none;
}
.frmEdit .btnCopy, .edtForm .btnCopy,
.frmEdit .btnDelcnf, .edtForm .btnDelcnf,
.frmEdit .btnDelet, .edtForm .btnDelet{
    transform: scaleY(1);
    pointer-events: auto;
}

.btnDelcnf > span,
.btnReset > span{
    display: inline-block;
    max-width: 70px;
    opacity: 1;
    transition: padding 400ms linear, opacity 400ms linear, max-width 400ms linear; 
}
.form-actions:not(.shwDel) .btnDelcnf > span:first-child,
.form-actions:not(.shwDel) .btnDelcnf > span:last-child,
.form-actions.shwDel .btnReset > span:first-child,
.form-actions.shwDel .btnReset > span:last-child{
    max-width: 0px;
    padding-left: 0px;
    padding-right: 0px;
    opacity: 0;
}
.form-control:disabled, .form-control[readonly] {
    background-color: #fffffe;
}
.form-control.disabled{pointer-events: none;}
.form-control.disabled[readonly]{
    background-color: #fff;
}
.input-group-addon.active{
    background-color: #3498db;
    color: #fff;
}
.control-label.smalr{width: 100%;}
.control-label.smalr > small{
    line-height: 17px;
    float: right;
    padding-top: 3px;
    color: #aaa;
}
.ttpmodel{
    font-size: 16px;
}
.control-label .ttpmodel{
    margin-left: 7px;
    position: relative;
    top: -1px;
}
.btnDelcnf .fa-cnfdel:before{
    content: "\f1f8";
}
.btnDelcnf:focus{outline: none; box-shadow: none;}
.shwDel .btnDelcnf{
    color: #7b7b7b;
    background-color: #fff;
    border-color: #9c9c9c;
}
.colForm .btn-widget,
.colForm .btn-widget:hover,
.shwDel .btnDelcnf:hover{
    color: #e74c3c;
    border-color: #c9302c;
}
.shwDel .btnDelcnf .fa-cnfdel:before{
    content: "\f1da";
}

.shwDel .btnDelcnf ~ .btnCopy,
.frmEdit .shwDel .btnDelcnf ~ .btnSubmit,
.edtForm .shwDel .btnDelcnf ~ .btnSubmit,
.btnDelcnf + .btnDelet{display: none;}

.frmEdit .shwDel .btnDelcnf + .btnDelet,
.edtForm .shwDel .btnDelcnf + .btnDelet{display: inline-block;}


.colForm .btn-widget .fa-widget:before{
    content: "\f00d";
}

.openMdl, .noev{}
.rowdttb.dtftgl .frmClosed,
.rowdttb.dtftgl .frmOpen{}

form.edtForm,
.frmEdit{}

.bord.table-responsive{
    border: 1px solid #eceeef;
    border-bottom: none; 
}
.widget{
    background-color: #fff;
    margin-bottom: 20px;
    border: 1px solid #eaedf1;
}
.widget-advanced{}
.widget-advanced .widget-header{}
.widget-head{
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}
.widget-header,
.widget-head{
    color: #fff;
    background-color: #424242;
    background-color: #394263;
    padding: 2px 10px 4px 10px;
}
.widget-head-alt{
    color: #394263;
    background-color: #fff;
}
.widget-advanced .widget-header,
.widget-advanced .widget-head{
    padding: 15px;  
}
.widget .widget-content-image{
    position: relative;
    padding: 0px 15px;
    color: #fff;
}
.widget-advanced .widget-content-image .widget-title{
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    max-width: 100%;
    padding: 15px;
    margin: 0;
    background: rgba(0,0,0,.6);
}
.widget-head.widget-content-image{max-height: 150px;}
.widget-header.widget-content-image{min-height: 150px;}

.widget-head.widget-content-image,
.widget-header.widget-content-image{
    overflow: hidden;
}
.widget-head.widget-content-image .widget-background{
    width: auto;
    max-height: 150px;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
}

.widget-icon{
    color: #fff;
    line-height: 48px;
    font-size: 22px;
    padding: 0px;
    border-radius: 24px;
    max-width: 48px;
    text-align: center;
    background-color: #1bbae1;
}
.widget-icon.widget-icon-text{
    font-size: 20px;
    font-weight: 600;
}
.widget-icon .fi{margin-right: 0px;}
.widget-icon:hover{
    color: #fff;
}
.widget-head h4.widget-title{
    font-size: 24px;
    font-weight: 300;
}
.widget-title > h3 > small,
.widget-title > .widget-title > small{
    color: #dbe1e8;
}
.widget-head .widget-icon{
    min-width: 48px;
}
.widget-head > .widget-title{
    max-width: calc(100% - 80px);
}
.widget-head .widget-title > h3,
.widget-head .widget-title > .widget-title{
    vertical-align: middle;
    white-space: nowrap;
    overflow: hidden;
    margin-top: 10px;
    margin-bottom: 8px;
    line-height: 1.4;
}
.widget-content-light{
    color: #fff;
    font-size: 24px;
    text-align: center;
}
.widget-content-light p{margin: 0px; line-height: 1;}
.widget-content-light .small, .widget-title > .small,
.widget-content-light small, .widget-title > small{font-size: 65%; color: #eee;}
.widget-content-light small{display: inline-block; width: 100%;}

.colTable .widget-head .widget-title > h3,
.colTable .widget-head .widget-title > .widget-title{
    /*  margin-top: 12px; */
}
.widget-options{
    padding-top: 5px;
}
.btn-widget{
    background-color: #f1f3f6;
    border-color: #dbe1e8;
    color: #394263;
}
.btn-widget.active,
.btn-widget:hover{
    background-color: #fff;
    border-color: #dbe1e8;
    color: #394263;
}
.widget-options > .btn{
    opacity: 0.5;
    padding: 5px 10px;
    font-size: 12px;
    line-height: 1.5;
    border-radius: 3px;
}
.widget-options > .btn.active,
.widget-options > .btn:hover{
    opacity: 1;
}
body.bodyfix{
    overflow: hidden;
}
.widget.widget-full{
    position: fixed;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: -20px;
    z-index: 1000;
    overflow: auto;
}
.widget.widget-full .close-full + .widget-togle,
.close-full{
    display: none;
}
.widget.widget-full .close-full{
    display: inline-block;
}

.widget-options .fa-widget:before{
    content: "\f078";
}

.bg-sea{background-color: #1abc9c;}

.colForm .col.widget-title{padding-left: 10px;}

.colForm .widget-icon{background-color: #72c02c;}

.colForm .fa-frm-title:before{margin-right: 5px; color: #72c02c;}
.colForm .fa-frm-title:before,
.colForm .frmTitle .fa-frm:before,
.dthcol_acts .dtbtnAdd.fai:before,
.colForm .widget-icon .fa-widget:before{content: "\f067";}

.colForm .widget-icon .fa-widget{
    margin-left: 1px;
}
.frmEdit.colForm .widget-icon .fa-widget,
.frmEdit .colForm .widget-icon .fa-widget{
    margin-left: 5px;
}
.colForm .widget-title > h3:before,
.colForm .widget-title > .widget-title:before{
    content: "Adicionar";
    font-size: 80%;
    margin-right: 10px;
}
.colForm .fa-frm-title:after,
.colForm .frmTitle:before{
    content: "Adicionar";
    margin-right: 5px;
}
.colForm .hline .frmTitle:before{color: #585f69;}

.colForm .hline.hline-frm > span,
.colForm .hline .frmTitle{border-bottom-color: #72c02c;}

.frmEdit.colForm .hline.hline-frm > span, .frmEdit .colForm .hline.hline-frm > span,
.frmEdit.colForm .hline .frmTitle, .frmEdit .colForm .hline .frmTitle{border-bottom-color: #f8be2c;}

.frmEdit.colForm .widget-icon,
.edtForm .widget-icon,
.frmEdit .colForm .widget-icon{background-color: #f8be2c;}

.frmEdit.colForm .fa-frm-title:before, .frmEdit .colForm .fa-frm-title:before{
    color: #f7af00;
    content: "\f040";
}
.frmEdit.colForm .frmTitle .fa-frm:before, .frmEdit .colForm .frmTitle .fa-frm:before,
.frmEdit.colForm .widget-icon .fa-widget:before, .frmEdit .colForm .widget-icon .fa-widget:before{
    content: "\f044";
}

.frmEdit.colForm .fa-frm-title:after, .frmEdit .colForm .fa-frm-title:after,
.frmEdit.colForm .frmTitle:before, .frmEdit .colForm .frmTitle:before,
.frmEdit.colForm .widget-title > h3:before, .frmEdit .colForm .widget-title > h3:before,
.frmEdit.colForm .widget-title > .widget-title:before, .frmEdit .colForm .widget-title > .widget-title:before{
    content: "Editar";
}

.dthcol_acts .dtbtnEdt.fai:before{content: "\f040";}
.dthcol_acts .dtbtnAdd.fai:before{vertical-align: inherit;}
.dt-bootstrap .dthcol_acts{
    padding-top: 2.5px;
}

.dtrow-head .dataTables_filter,
.dtrow-head .dataTables_length{
    max-width: 250px;
}

.dthcol_acts .btn > span{
    display: inline-block;
    padding-left: 6px;
    vertical-align: baseline;
}
.dthcol_acts .dtbtnEdt{margin-left: 2px;}

.dthcol_acts.asEdt .dtbtnAdd{

}
.dthcol_acts .dtbtnAdd,
.dthcol_acts .dtbtnEdt{
    transition: all 400ms;
    opacity: 1;
}
.dthcol_acts .dtbtnEdt{
    opacity: 0;
    transform: scaleY(0);
}
.frmEdit .dthcol_acts .dtbtnAdd,
.dthcol_acts.asEdt .dtbtnAdd{opacity: 0.6;}
.frmEdit .dthcol_acts .dtbtnAdd:hover,
.dthcol_acts.asEdt .dtbtnAdd:hover{opacity: 1;}

.dthcol_acts.asEdt .dtbtnEdt{
    transform: scaleY(1);
    opacity: 1;
}
.frmEdit .dthcol_acts.asEdt .dtbtnEdt{
    opacity: 0.4;
    pointer-events: none;
}

@media(min-width: 992px){
    .dthcol_acts .dtbtnEdt > span{
        padding-right: 14px;
    }
    .dt-bootstrap .dthcol_acts .dtbtnEdt{
        padding-left: 15px;
    }
}

.info-bg{background-color: #1bbae1;}
.widget-extra, .widget-extra-full{
    padding: 15px 0px;
    position: relative;
}

.widget-extra{padding: 15px;}
.widget-body{
    padding: 15px;
    opacity: 1;
    position: relative;
    transition: opacity 400ms ease-in-out;
}

.widget-foot{
    color: #fff;
    background-color: #394263;
    position: relative;
    padding: 15px;
}
.colTable .widget-body{padding: 0px;}
.edtForm .widget-body,
.colForm .widget-body{padding: 0px 15px;}

.widget-togle .fa-widget{
    transition: transform 400ms ease-in-out;
    vertical-align: baseline;
}
.widgetClosed .widget-togle .fa-widget{
    transform: rotate(90deg);
}
.widget.widgetClosed .widget-body{
    opacity: 0;
}
.closeFrm, .opemFrm{}

.rtf-inron .colTable,
.rtf-inron .colForm{
    flex: 0 0 100%;
}
.rtf-inron.closeWdg .colForm .widget-body,
.rtf-inron.closeCol .colForm{
    opacity: 1;
    max-height: 700px;
    transition-property: transform, opacity, max-height;
    transition-duration: 800ms;
}

.rtf-inron.closeWdg.frmClosed .colForm .widget-body,
.rtf-inron.closeCol.frmClosed .colForm{
    opacity: 0;
    max-height: 0px;
    min-height: 0px;
    transition-duration: 700ms;
    overflow: hidden;
}

.rtf-inron.closeWdg .colForm .widget{
    margin-bottom: 5px;
}
@media(min-width: 992px){
    .col-ordend,
    .rtf-incol .colForm.col-lg-3,
    .rtf-incol .colForm.col-lg-4,
    .rtf-incol .colForm.col-lg-5,
    .rtf-incol .colForm.col-lg-6{
        -webkit-box-ordinal-group: 2;
        -webkit-order: 2;
        -ms-flex-order: 2;
        order: 2;
    }
    .rtf-incol .colForm.col-lg-3,
    .rtf-incol .colForm.col-lg-4,
    .rtf-incol .colForm.col-lg-5,
    .rtf-incol .colForm.col-lg-6{
        margin-right: 0;
        opacity: 1;
        transition-property: transform, opacity, margin-right;
        transform: translate3d(0,0,0);
        transition-duration: 800ms;
    }
    .rtf-incol.frmClosed .colForm.col-lg-3,
    .rtf-incol.frmClosed .colForm.col-lg-4,
    .rtf-incol.frmClosed .colForm.col-lg-5,
    .rtf-incol.frmClosed .colForm.col-lg-6{
        opacity: 0;
        transition-duration: 700ms;
    }
    .rtf-incol.frmClosed .colForm.col-lg-6{
        transform: translate3d(50%,0,0);
        margin-right: -50%;
    }
    .rtf-incol.frmClosed .colForm.col-lg-5{
        transform: translate3d(41.666667%,0,0);
        margin-right: -41.666667%;
    }
    .rtf-incol.frmClosed .colForm.col-lg-4{
        transform: translate3d(33.333333%,0,0);
        margin-right: -33.333333%;
    }
    .rtf-incol.frmClosed .colForm.col-lg-3{
        transform: translate3d(25%,0,0);
        margin-right: -25%;
    }
}
@media(min-width: 1200px){
    .rtf-inron.closeCol .colMinifrm{
        max-height: 300px;  
    }
    .rtf-incol .colForm.col-xl-3,
    .rtf-incol .colForm.col-xl-4,
    .rtf-incol .colForm.col-xl-5{
        -webkit-box-ordinal-group: 2;
        -webkit-order: 2;
        -ms-flex-order: 2;
        order: 2;
    }
    .rtf-incol .colForm.col-xl-3,
    .rtf-incol .colForm.col-xl-4,
    .rtf-incol .colForm.col-xl-5{
        margin-right: 0;
        opacity: 1;
        transition-property: transform, opacity, margin-right;
        transform: translate3d(0,0,0);
        transition-duration: 800ms;
    }
    .rtf-incol.frmClosed .colForm.col-xl-3,
    .rtf-incol.frmClosed .colForm.col-xl-4,
    .rtf-incol.frmClosed .colForm.col-xl-5{
        opacity: 0;
        transition-duration: 700ms;
    }
    .rtf-incol.frmClosed .colForm.col-xl-5{
        transform: translate3d(41.666667%,0,0);
        margin-right: -41.666667%;
    }
    .rtf-incol.frmClosed .colForm.col-xl-4{
        transform: translate3d(33.333333%,0,0);
        margin-right: -33.333333%;
    }
    .rtf-incol.frmClosed .colForm.col-xl-3{
        transform: translate3d(25%,0,0);
        margin-right: -25%;
    }

    .cscrol-div.onsc > .cscrol-elm{
        position: relative;
    }
}
@media(max-width: 1200px) and (min-width: 991px){
    .rtf-incol.closeWdg .colForm.col-lg-12 .widget-body,
    .rtf-incol.closeCol .colForm.col-lg-12{
        max-height: 700px;
        opacity: 1;
        transition-property: transform, opacity, max-height;
        transition-duration: 800ms;
    }
    .rtf-incol.closeWdg.frmClosed .colForm.col-lg-12 .widget-body,
    .rtf-incol.closeCol.frmClosed .colForm.col-lg-12{
        opacity: 0;
        max-height: 0px;
        min-height: 0px;
        transition-duration: 700ms;
        overflow: hidden;
    }

    .rtf-incol.closeWdg .colForm.col-lg-12 .widget{
        margin-bottom: 5px;
    }
}

@media(max-width: 991px){
    .rtf-incol .colTable,
    .rtf-incol .colForm{
        flex: 0 0 100%;
    }
    .rtf-incol .colForm{
        max-height: 700px;
        opacity: 1;
        transition-property: transform, opacity, max-height;
        transition-duration: 800ms;
    }
    .rtf-incol.frmClosed .colForm{
        opacity: 0;
        max-height: 0px;
        min-height: 0px;
        transition-duration: 700ms;
        overflow: hidden;
    }
}
@media(min-width: 768px) and (max-width: 991px){
    .rtf-incol .colTable.rtf-md{
        flex-basis: 0;
        flex-grow: 1;
    }
    .rtf-incol .colForm.col-md-5{
        flex: 0 0 41.666667%;
        margin-right: 0;
        opacity: 1;
        transition-property: transform, opacity, margin-right;
        transform: translate3d(0,0,0);
        transition-duration: 800ms;
    }
    .rtf-incol.frmClosed .colForm.col-md-5{
        opacity: 0;
        max-height: 700px;
        transition-duration: 700ms;
        transform: translate3d(41.666667%,0,0);
        margin-right: -41.666667%; 
    }
}
@media(max-width: 680px){
    .dtrow-head .dataTables_filter{
        padding-top: 15px;
        flex: 0 0 100%;
        max-width: 100%;
    }
    .dtrow-head .dataTables_filter > .input-group{
        max-width: 250px;
        margin-right: 0;
        margin-left: auto;
    }
}
@media(min-width: 768px){
    .input-group-addon.mini-md{
        min-width: 34px;
    }
    .form-bordered .frminp-group.frminpfist,
    .form-bordered .frminp-group.frminpf{
        padding-right: 0px;
    }
    .frminp-group.frminpf label.control-label + .input-group + .fedbk-control{
        right: 0px;
    }
    .form-group.pr-5p label.control-label + .input-group + .fedbk-control{
        right: 5px;
    }

    .form-bordered .frminp-group.frminpcenter .input-group .form-control:last-child,
    .form-bordered .frminp-group.frminpc .input-group .form-control:last-child,
    .form-bordered .frminp-group.frminpfist .input-group .form-control:last-child,
    .form-bordered .frminp-group.frminpf .input-group .form-control:last-child{
        border-top-right-radius: 0px;
        border-bottom-right-radius: 0px;
    }

    .form-bordered .frminp-group.frminpcenter,
    .form-bordered .frminp-group.frminpc{
        padding-left: 0px;
        padding-right: 0px;
    }
    .form-bordered .frminp-group.frminplast,
    .form-bordered .frminp-group.frminpl{
        padding-left: 0px;
    }
    .form-bordered .frminp-group.frminpcenter .input-group .input-group-addon:first-child,
    .form-bordered .frminp-group.frminpc .input-group .input-group-addon:first-child,
    .form-bordered .frminp-group.frminplast .input-group .input-group-addon:first-child,
    .form-bordered .frminp-group.frminpl .input-group .input-group-addon:first-child{
        border-top-left-radius: 0px;
        border-bottom-left-radius: 0px;
        margin-left: -1px;
    }
}
@media(max-width: 500px){
    .dt-bootstrap .dthcol_acts{
        max-width: 100px;
    }
    .dthcol_acts .btn > span{
        display: none;
    }
}
.frmhides{display: none!important;}
.mskNumb, .isval{}
.help-control{
    position: absolute;
    line-height: 1.4;
    font-size: 0.875rem;
    right: 2.8rem;
    top: 50%;
    z-index: 3;
    padding: 1px 5px;
    font-style: italic;
    margin-top: -10px;
    max-width: 50%;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    opacity: 1;
}
.help-control:empty {
    opacity: 0;
    z-index: 1;
}
.help-control.ajstr{
    right: 2.8rem;
    margin-top: -5px;
}
.btn.disabledload{
    cursor: none;
    pointer-events: none;
    opacity: 0.6;
}
.btnSubmit.disabledload{
    position: relative;
    opacity: 1;
}
.btnSubmit.disabledload:after{
    content: "";
    position: absolute;
    background-color: rgba(255, 255, 255, 0.6);
    top: -1px;
    bottom: -1px;
    left: -1px;
    right: -1px;
    z-index: 1;
    border-radius: 0.25rem;
}
.btnSubmit.disabledload > .fa:before{
    content: "\f110";
}
.btnSubmit.disabledload > .fa{
    position: relative;
    z-index: 2;
    color: #043454;
    color: #4c36ff;
    color: #093eff;
    -webkit-animation: fa-spin 2s infinite linear;
    animation: fa-spin 2s infinite linear; 
}

.rpatkn, .autoVal, .chkVal{}
.switch {
    margin: 1px 0;
    position: relative;
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
}
.form-group > .switch,
.input-group > .switch,
.tdSwt .switch{
    display: inline-flex;
    margin: 0;
}
.tdSwt .switch small{display: none;}

.switch [type="radio"]:not(:checked),
.switch [type="radio"]:checked, 
.switch [type="checkbox"]:not(:checked),
.switch [type="checkbox"]:checked {
    position: absolute;
    opacity: 0;
    top: 0;
    margin-left: 2px;
}
.switch span {
    position: relative;
    display: inline-block;
    width: 54px;
    height: 28px;
    border-radius: 28px;
    background-color: #f9f9f9;
    border: 1px solid #ddd;
    transition: all 350ms;
}
.switch small{
    line-height: 1.8rem;
    font-size: 90%;
    padding-left: 7px;
}
.switch small.swtLbl{
    line-height: 1.82rem;
}
.form-inline.form-bordered > .row{width: 100%;}

.swtLbl-left .switch{
    display: inline-block;
}
.swtLbl-left .switch small.swtLbl{
    float: left;
    padding-right: 9px;
    line-height: 26px;
    padding-top: 2px;
    font-size: 100%;
}
.swtLbl-left .switch input.autoVal ~ small.swtLbl:after{
    min-width: 73px;
}
.form-inline .swtLbl-left .input-group .switch{
    line-height: 1;
}
@media (min-width: 576px){
    .form-inline .input-group .switch{
        padding-left: 5px;
    }
    .form-inline .swtLbl-left .input-group .switch{
        padding-left: 0px;
    }
    .form-inline .input-group .switch small.swtLbl{
        line-height: 21px;
        padding-top: 1px;
    }
    .form-inline .swtLbl-left .input-group .switch small.swtLbl{
        line-height: 26px;
        padding-top: 2px;
    }
    .form-inline .swtLbl-left .control-label + .input-group .switch small.swtLbl{
        padding-left: 3px;
    }
}


.switch span:after {
    content: "";
    position: absolute;
    left: 2px;
    top: 1px;
    bottom: 1px;
    width: 24px;
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 50%;
    box-shadow: 1px 0 3px rgba(0,0,0,.05);
    transition: all 150ms ease-out;
}
.switch input.swtckbx{}

.switch input:checked + span:after {
    left: 26px;
    border: none;
    box-shadow: -2px 0 3px rgba(0,0,0,0.1);
}
.switch span:before{
    font-family: FontAwesome;
    content:"\f00c";
    font-weight: 400;
    font-style: normal;
    text-decoration: inherit;
    -webkit-font-smoothing: antialiased;
    display: inline;
    line-height: normal;
    vertical-align: middle;
    position: relative;
    z-index: 1;
    float: right;
    padding: 6px;
    transition: all 150ms ease-out;
    transform: scale(0);
}
.switch input:checked + span{background-color: #eee;}
.switch input:checked + span:before{color: #eee; transform: scale(1);}

.switch-status span,
.switch-danger span{border-color: #ef8a80;}
.switch-danger input:checked + span{background-color: #ef8a80;}
.switch-danger input:checked + span:before{color: #ef8a80;}

.switch-status input:checked + span,
.switch-success span{border-color: #71c02d;}

.switch-status input:checked + span,
.switch-success input:checked + span{background-color: #71c02d;}

.switch-status input:checked + span:before,
.switch-success input:checked + span:before{color: #71c02d;}


.chkbox, .chkbox.input-group-addon {
    position: relative;
}
.chkbox.input-group-addon {
    padding: 0.5rem 0.7rem 0.4rem 0.7rem;
    padding: 0.521rem 0.625rem 0.48rem;
}
.chkbox.input-group-addon + p.chkboxLbl:before{
    content: "Desativado"; 
    color: #6b0000;
}
.chkbox.input-group-addon.isval + p.chkboxLbl:before{
    content: "Ativo"; 
    color: #2a5801;
}
.switch small.swtLbl:after{content: "Desativado";}
.switch input:checked ~ small.swtLbl:after{content: "Ativo";}
.switch input.autoVal ~ small.swtLbl:after{
    display: inline-block;
    min-width: 66px;
}

.chkbox .lblchk,
.chkbox label + span{
    margin-left: 23px;
    vertical-align: text-bottom;
}
.chkbox .lblchk{
    white-space: nowrap;
    overflow: hidden;
    display: inline-block;
    max-width: 75%;
}
label.chkbox{cursor: pointer; display: block; margin-bottom: 0;}
.colckb label.chkbox{
    margin-bottom: 15px;
}
.chkbox input{
    position: absolute;
    z-index: 100;
    opacity: 0;
    margin: 0px 1px;
    font-size: 90px;
    cursor: pointer;
}
label.chkbox input{
    margin: 3px 1px 0px 2px;
}
.chkbox.input-group-addon input {
    margin: 0px;
    left: 50%;
    top: 50%;
    transform: translate(-52%, -52%);
    width: 19px;
    height: 19px;
}
.chkbox input + label {
    position: relative;
    padding: 0px;
    width: 17px;
    height: 17px;
    cursor: pointer;
    display: inline;
    margin: 0px;
    font-size: 14px;
}
.chkbox input + label:before{
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 17px;
    height: 17px;
    border: 1px solid #aaa;
    background: #fff;
    border-radius: 3px;
    box-shadow: inset 0 1px 3px rgba(0,0,0,0);
}
.chkbox input:disabled + label:before, .chkbox input.disabled + label:before,
.chkbox input:disabled + label:after, .chkbox input.disabled + label:after{
    background: #f8f8f8;  
}

.chkbox input + label:after{
    font: normal normal normal 14px/1 FontAwesome;
    font-size: inherit;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
.chkbox input + label:after{
    content: "\f00c";
    display: inline-block;
    opacity: 0;
    transform: scale(0);
    transition: all 250ms ease-in-out;
    position: absolute;
    color: #007fe4;
    color: #007cff;
    font-size: 26px;
    top: -5px;
    left: -5px;
}
.chkbox input:checked + label:after{
    opacity: 1;
    transform: scale(1);
}

.chkbox [type="radio"] + .lblchk,
.chkbox [type="radio"] + label + span{
    margin-left: 22px;
}

label.chkboxx input + label:before{top: 1px;}
label.chkboxx input + label:after{top: -3px;}

.chkbox [type="radio"] + label:before{
    border-radius: 50%;
    width: 18px;
    height: 18px;
    top: 0px;
}
.chkbox [type="radio"] + label:after{
    font-size: 24px;
    left: -3px;
}

.chkbox.btn-default{
    background-color: #908989;
    border-color: #777;
    color: #394263;
}
.btn-group-chkbox{
    display: table;
}
.btn-group-chkbox .chkbox{
    display: table-cell;
    width: 1%;
    padding: 8px 8px 5px 8px;
    opacity: 0.7;
}
.btn-group-chkbox .chkbox .rdius + label:before{
    border-radius: 3px;
}
.form-bordered .btn-group-chkbox .chkbox.focus,
.form-bordered .btn-group-chkbox .chkbox:focus{
    box-shadow: none;
}
.btn-group-chkbox .chkbox:hover,
.btn-group-chkbox .chkbox.active{
    opacity: 1;  
}
.btn-group-chkbox .chkbox input + label{
    display: inline-block;
}
.btn-group-chkbox .chkbox input + label:before {
    background: rgba(255,255,255,0.2);  
    border-color: #fff;
}
.btn-group-chkbox .chkbox input:checked + label:before {
    background: transparent;
}
.form-bordered .btn-group-chkbox .chkbox input + label:after{
    top: -3px;
    color: #fff;
}
.btn-group-chkbox .chkbox .pesgenf:not(:checked) + label:before,
.btn-group-chkbox .chkbox .pesgenm:not(:checked) + label:before{
    background: rgba(255,255,255,0);  
    border-color: transparent;
}
.form-bordered .chkbox .pesgenf:not(:checked) + label:after,
.form-bordered .chkbox .pesgenm:not(:checked) + label:after{
    font-size: 20px;
    text-align: center;
    opacity: 1;
    transform: scale(1);
    top: 0;
    left: 1px;
}
.chkbox .pesgenm:not(:checked) + label:after{
    content: "\f222";
}
.chkbox .pesgenf:not(:checked) + label:after{
    content: "\f221";
}